Edit Recipient
curl --request PUT \
--url https://api.usepooler.com/payments/recipients/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"account_currency": "<string>",
"account_country_code": "<string>",
"account_bank_name": "<string>",
"account_bank_code": "<string>",
"amount_limit": 123,
"identification_type": "<string>",
"identification_number": "<string>",
"payment_details": {}
}
'import requests
url = "https://api.usepooler.com/payments/recipients/{id}"
payload = {
"account_number": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"account_currency": "<string>",
"account_country_code": "<string>",
"account_bank_name": "<string>",
"account_bank_code": "<string>",
"amount_limit": 123,
"identification_type": "<string>",
"identification_number": "<string>",
"payment_details": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_number: '<string>',
account_name: '<string>',
account_type: '<string>',
account_currency: '<string>',
account_country_code: '<string>',
account_bank_name: '<string>',
account_bank_code: '<string>',
amount_limit: 123,
identification_type: '<string>',
identification_number: '<string>',
payment_details: {}
})
};
fetch('https://api.usepooler.com/payments/recipients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"stan": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_number": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"is_internal_account": true,
"account_currency": "<string>",
"account_bank_name": "<string>",
"account_bank_code": "<string>",
"account_country_code": "<string>",
"account_country": "<string>",
"identification": {},
"limit": "<string>",
"payment_details": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Recipients
Edit Recipient
Update an existing payment recipient’s information.
PUT
/
payments
/
recipients
/
{id}
Edit Recipient
Update an existing payment recipient’s information. This allows you to modify account details, limits, or identification information.
Overview
Use this endpoint to update recipient information such as account details, payment limits, or identification documents.Path Parameters
string
required
Recipient UUID
Request Body
string
Updated bank account number
string
Updated account holder name
string
Updated account type
string
Updated currency code
string
Updated country code
string
Updated bank name
string
Updated bank code
number
Updated payment limit
string
Updated identification type
string
Updated identification number
object
Updated payment details object
Response
object
Updated recipient object with all current information
Authorizations
Bearer token authentication. Include your API key in the Authorization header as: Bearer {your_api_key}
Path Parameters
Recipient ID
Body
application/json
⌘I